# _embedded_hal_serial_Read in k210_hal::prelude - Rust
Read half of a serial interface
Keywords: rust, rustlang, rust-lang, _embedded_hal_serial_Read

# Trait k210_hal::prelude::_embedded_hal_serial_Read

source · [−]

    pub trait _embedded_hal_serial_Read<Word> {
        type Error;
        fn try_read(&mut self) -> Result<Word, Error<Self::Error>>;
    }

Expand description

Read half of a serial interface

Some serial interfaces support different data sizes (8 bits, 9 bits, etc.); This can be encoded in this trait via the `Word` type parameter.

## Associated Types

source

#### type Error

Read error

## Required methods

source

#### fn try_read(&mut self) -> Result<Word, Error<Self::Error>>

Reads a single word from the serial interface

## Implementors

source

### impl Read<u8> for Rx<UARTHS>

#### type Error = Infallible

source

### impl<UART: UartX> Read<u8> for Rx<UART>

#### type Error = Infallible